﻿@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());

    Layout = null;
}
<script>
    // handle context menu clicks.
    var documentName = ["id:id:string", "matricule:Matricule:string:10%", "nom_prenom:Nom et Prenom:string:18%", "grade:Grade:stringdrop:14%", "localite:Localite:stringdrop:12%", "date_naissance:Date de Naissance:date:12%", "sex:Sexe:stringdrop:10%", "telephone:Telephone:string:10%", "Statut:Statut:stringdrop:12%"];
</script> 
<input id="DeleteUrl" value="/Personnels/supprimer/" type="hidden" />
<input id="modUrl" value="/Personnels/modifier/" type="hidden" />
<input id="ajoutUrl" value="/Personnels/ajouter" type="hidden" />
<input id="LoardUrl" value="/Personnels/ajax" type="hidden" />
<input id="actifsupUrl" value="/Personnels/Activer_Suspendre/" type="hidden" />
<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
                <div>
                    Confirmation</div>
            <div class="cont">
                  <br />
                <div> 
                Sélectionnez un seul enrégistrement !
                </div>   
           </div>
     </div> 
<div id="confirm">
    <div>
                    Confirmation
                </div>
    <div class="cont">
                  <br />
                <div> 
                Voulez-vous supprimer ces enrégistrement ?
                </div>   
                <div>
                      <br />
           <button title="OK"  type="button" id="ok" class="btn btn-default oufbutton"><i class="ouf-ok"></i> OK</button>
           <button title="Annuler"  type="button" id="annuler" class="btn btn-default oufbutton"><i class="ouf-cancel"></i> Annuler</button>
                </div>
            </div>
</div> 
<div class="boutons text-right"> 
        @if (cmd.Contains("Ajouter_Personnel"))
        {
            
         <button title='Ajouter' id='ajout' type='button' value='Ajouter' class='btn btn-default oufbutton SansIdentifiant'><i class='ouf-add'></i> Ajouter</button>
  
        }
    
        @if (cmd.Contains("Modifier_Personnel"))
        {
          <button title='Modifier' id='mod' type='button' value='Modifier' class='btn btn-default oufbutton AvecIdentifiant'><i class='ouf-edit'></i> Modifier</button>
        }
       @if (true)
       {
        <button title='Actif/Susp' id='actifsup' value='Activer / Suspendre' class='btn btn-default oufbutton AvecIdentifiantSanspopup'><i class='ouf-switch'></i> Activer / Suspendre</button>
        }
        @if  (true)//(cmd.Contains("Supprimer_Personnel"))
        {
          <button title='Supprimer' id='sup' type='button' value='Supprimer' class='btn btn-default oufbutton'><i class='ouf-delete'></i> Supprimer</button>
         }
   
      <button title='Pdf' id='pdf' value='Pdf' class='btn btn-default oufbutton exportgrille'><i class='ouf-download'></i> Pdf</button>
      <button title='Excel' id='csv' value='Excel' class='btn btn-default oufbutton exportgrille'><i class='ouf-download'></i> Excel</button>
       
     
</div>
<div  id="grades"></div>
<div id='Menu'>
        <ul>
            @if (cmd.Contains("Modifier_Personnel"))
            {
                WriteLiteral("<li><i class='ouf-edit'></i> Modifier</li>");
            }
             @if (true)
             {
               <li><i class="ouf-switch"></i> Actif/Susp</li>
             }
            @if (true)//(cmd.Contains("Supprimer_Personnel"))
            {
                WriteLiteral("<li><i class='ouf-delete'></i> Supprimer</li>");
            }
        </ul>
   </div>
